[CalendarServer-changes] [6474] CalendarServer/trunk

source_changes at macosforge.org source_changes at macosforge.org
Wed Oct 27 15:27:54 PDT 2010


Revision: 6474
          http://trac.macosforge.org/projects/calendarserver/changeset/6474
Author:   wsanchez at apple.com
Date:     2010-10-27 15:27:52 -0700 (Wed, 27 Oct 2010)
Log Message:
-----------
Add benchmark script to top, uses sqlparse.

Modified Paths:
--------------
    CalendarServer/trunk/support/build.sh

Added Paths:
-----------
    CalendarServer/trunk/benchmark

Added: CalendarServer/trunk/benchmark
===================================================================
--- CalendarServer/trunk/benchmark	                        (rev 0)
+++ CalendarServer/trunk/benchmark	2010-10-27 22:27:52 UTC (rev 6474)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2007 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e;
+set -u;
+
+wd="$(cd "$(dirname "$0")" && pwd -L)";
+
+export PYTHONPATH="$("${wd}/run" -p)";
+
+exec "${wd}/contrib/performance/benchmark" "$@";


Property changes on: CalendarServer/trunk/benchmark
___________________________________________________________________
Added: svn:executable
   + *

Modified: CalendarServer/trunk/support/build.sh
===================================================================
--- CalendarServer/trunk/support/build.sh	2010-10-27 22:17:09 UTC (rev 6473)
+++ CalendarServer/trunk/support/build.sh	2010-10-27 22:27:52 UTC (rev 6474)
@@ -554,6 +554,10 @@
   # they are useful to developers.
   #
 
+  py_dependency -v 0.1.1 -m "000053e0352f5bf19c2f8d5242329ea4" \
+    "SQLParse" "sqlparse" "sqlparse-0.1.1" \
+    "http://python-sqlparse.googlecode.com/files/sqlparse-0.1.1.tar.gz";
+
   svn_get "CalDAVTester" "${top}/CalDAVTester" "${svn_uri_base}/CalDAVTester/trunk" HEAD;
 
   svn_get "Pyflakes" "${top}/Pyflakes" http://divmod.org/svn/Divmod/trunk/Pyflakes HEAD;
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20101027/5b6d1807/attachment.html>


More information about the calendarserver-changes mailing list